function [perc_expl, perc_expl_accum] = spc_totalvar(X)

[T,N]=size(X);

[pc,score,latent,tsquare]=princomp(X);  %calculating eigenvectors and -values

perc_expl = latent/sum(latent);   %explained variance
perc_expl_accum=perc_expl;
for i=2:N
    perc_expl_accum(i,1) = perc_expl_accum(i-1,1) + perc_expl(i,1);
end

