% This is the main file to replciate the results in the paper


% 1) Set estimation parameters and run the following to prepare the dataset:
WL_LoadData_progFCIonly

% Remember to set relevant options:
% a) Estimation sample (benchmark: 1971-2012)
% b) opt_fci: type of FCI 
% c) volatype: modeling of volatility (2: baseline, 5: GARCH)
% d) wantblockexogobs: treat FCI as exogenous? 1: Yes; 0: No

% 2) Estimate (without confidence bands)
WL_EstTVFavar_prog.m

% 2) OR Estimate (with confidence bands)
%WL_EstTVFavar_prog.m


% NB: If you want to see IRF for only GDP, as in the paper, then set N=9
% (faster!)

% 3) Plot IRFs, FEVD and compute table

if wantblockexogobs == 0;
    SE_plots_progrFCIonly_rev
else
    SE_plots_progrUSobsexog_rev
    
end